package com.fr.plugin.third.party.jsdibaf.config;

import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.plugin.context.PluginContext;
import com.fr.plugin.observer.inner.AbstractPluginLifecycleMonitor;
import com.fr.record.analyzer.EnableMetrics;

/**
 * 配置信息初始化
 */
@EnableMetrics
public class DataConfigInitializeMonitor extends AbstractPluginLifecycleMonitor {
    @Override
    @Focus(id = "com.fr.plugin.third.party.jsd8105", text = "plugin-jsd-8105", source = Original.PLUGIN)
    public void afterRun(PluginContext pluginContext) {
        CustomDataConfig.getInstance();
    }

    @Override
    public void beforeStop(PluginContext pluginContext) {

    }
}